---
title: ChildNode.remove()
slug: Web/API/ChildNode/remove
tags:
  - API
  - ChildNode
  - DOM
  - Experimental
  - Method
---
<div>{{APIRef("DOM")}}</div>

<p>The <code><strong>ChildNode.remove()</strong></code> method removes the object from the tree it belongs to.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>node</var>.remove();
</pre>

<h2 id="Example">Example</h2>

<h3 id="Using_remove">Using <code>remove()</code></h3>

<pre class="brush: html notranslate">&lt;div id="div-01"&gt;Here is div-01&lt;/div&gt;
&lt;div id="div-02"&gt;Here is div-02&lt;/div&gt;
&lt;div id="div-03"&gt;Here is div-03&lt;/div&gt;
</pre>

<pre class="brush: js notranslate">var el = document.getElementById('div-02');
el.remove(); // Removes the div with the 'div-02' id
</pre>

<h3 id="ChildNode.remove_is_unscopable"><code>ChildNode.remove()</code> is unscopable</h3>

<p>The <code>remove()</code> method is not scoped into the <code>with</code> statement. See {{jsxref("Symbol.unscopables")}} for more information.</p>

<pre class="brush: js notranslate">with(node) {
  remove();
}
// ReferenceError: remove is not defined </pre>

<h2 id="Polyfill">Polyfill</h2>

<p>You can polyfill the <code>remove()</code> method in Internet Explorer 9 and higher with the following code:</p>

<pre class="brush: js notranslate">// from:https://github.com/jserz/js_piece/blob/master/DOM/ChildNode/remove()/remove().md
(function (arr) {
  arr.forEach(function (item) {
    if (item.hasOwnProperty('remove')) {
      return;
    }
    Object.defineProperty(item, 'remove', {
      configurable: true,
      enumerable: true,
      writable: true,
      value: function remove() {
        this.parentNode.removeChild(this);
      }
    });
  });
})([Element.prototype, CharacterData.prototype, DocumentType.prototype]);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('DOM WHATWG', '#dom-childnode-remove', 'ChildNode.remove')}}</td>
			<td>{{Spec2('DOM WHATWG')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ChildNode.remove")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>The {{domxref("ChildNode")}} pure interface.</li>
	<li>
	<div class="syntaxbox">Object types implementing this pure interface: {{domxref("CharacterData")}}, {{domxref("Element")}}, and {{domxref("DocumentType")}}.</div>
	</li>
</ul>
